Bug 1430405 - Mandatory Hawkular endpoint when adding a new provider
Summary: Mandatory Hawkular endpoint when adding a new provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: User Experience
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.8.0
Assignee: Beni Paskin-Cherniavsky
QA Contact: Einat Pacifici
URL:
Whiteboard: container:ui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-08 14:35 UTC by Pavel Zagalsky
Modified: 2018-07-15 12:24 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:41:18 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:
epacific: automate_bug+


Attachments (Terms of Use)
HawkularMandatory (56.23 KB, image/png)
2017-03-08 14:39 UTC, Pavel Zagalsky
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Pavel Zagalsky 2017-03-08 14:35:24 UTC
Description of problem:
When attempting to add a new container provider the system requires a functional Hawkular endpoint which shouldn't be a necessity

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go to Compute -->Containers --> Providers
2. Configurations --> Add an Existing Provider
3. Fill in all the required parameters: Name, Type, Hostname, Token, Port, Security Protocol = SSL Without Validation
4. Press Validate to validate the inserted parameters
5. Try to press Add

Actual results:
Add button is grayed out. System is expecting additional parameters in Hawkular tab

Expected results:
The system shouldn't require Hawkular parameters to add a new Provider

Additional info:

Comment 2 Pavel Zagalsky 2017-03-08 14:39:17 UTC
Created attachment 1261310 [details]
HawkularMandatory

Comment 3 Federico Simoncelli 2017-03-08 16:12:37 UTC
Beni, IIRC you were working on a fix for this, right? Any reference? (PR, etc.).

Comment 4 Beni Paskin-Cherniavsky 2017-03-13 11:35:03 UTC
Yes, I'm working on this.  No PR yet.  Working on container-edit-fix branch:
https://github.com/ManageIQ/manageiq-ui-classic/compare/master...cben:container-edit-fix
(plus extra logging/hacks on container-edit-fix-DEBUG branch)

Focusing on this full time as Pavel informed this is a serious blocker for QE (test automation relies on provider creation UI).

Comment 5 Beni Paskin-Cherniavsky 2017-03-14 13:32:11 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/670

Comment 7 Beni Paskin-Cherniavsky 2017-03-20 09:23:48 UTC
POST, https://github.com/ManageIQ/manageiq-ui-classic/pull/670 fixed add/editing without Hawkular.

There is another problem *with* hawkular — its [Validate] button is always disabled — opening other BZ for that.

Comment 8 Beni Paskin-Cherniavsky 2017-03-20 17:19:16 UTC
The other issue with [Validate] button: bug 1434064

Comment 9 Pavel Zagalsky 2017-03-22 08:06:03 UTC
Vefified on 5.8.0.7

Comment 11 errata-xmlrpc 2017-05-31 14:41:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.